GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Typedefs | Functions
cmdline.h File Reference

Go to the source code of this file.

## Typedefs
typedef struct gpr_cmdline | gpr_cmdline

## Functions
gpr_cmdline * | gpr_cmdline_create (const char *description)
void | gpr_cmdline_add_int (gpr_cmdline *cl, const char *name, const char *help, int *value)
void | gpr_cmdline_add_flag (gpr_cmdline *cl, const char *name, const char *help, int *value)
void | gpr_cmdline_add_string (gpr_cmdline *cl, const char *name, const char *help, char **value)
void | gpr_cmdline_on_extra_arg (gpr_cmdline *cl, const char *name, const char *help, void(*on_extra_arg)(void *user_data, const char *arg), void *user_data)
void | gpr_cmdline_parse (gpr_cmdline *cl, int argc, char **argv)
void | gpr_cmdline_destroy (gpr_cmdline *cl)
char * | gpr_cmdline_usage_string (gpr_cmdline *cl, const char *argv0)

## Typedef Documentation

typedef struct gpr_cmdline gpr_cmdline

## Function Documentation

void gpr_cmdline_add_flag | ( | gpr_cmdline * | cl,
|  | const char * | name,
|  | const char * | help,
|  | int * | value
| ) |  |

void gpr_cmdline_add_int | ( | gpr_cmdline * | cl,
|  | const char * | name,
|  | const char * | help,
|  | int * | value
| ) |  |

void gpr_cmdline_add_string | ( | gpr_cmdline * | cl,
|  | const char * | name,
|  | const char * | help,
|  | char ** | value
| ) |  |

gpr_cmdline* gpr_cmdline_create | ( | const char * | description | ) |

void gpr_cmdline_destroy | ( | gpr_cmdline * | cl | ) |

void gpr_cmdline_on_extra_arg | ( | gpr_cmdline * | cl,
|  | const char * | name,
|  | const char * | help,
|  | void(*)(void *user_data, const char *arg) | on_extra_arg,
|  | void * | user_data
| ) |  |

void gpr_cmdline_parse | ( | gpr_cmdline * | cl,
|  | int | argc,
|  | char ** | argv
| ) |  |

char* gpr_cmdline_usage_string | ( | gpr_cmdline * | cl,
|  | const char * | argv0
| ) |  |